## ocaml-uint-1.1.1.tar.gz

=== Makefile ===
all:
	@#ocaml setup.ml -build -classic-display
	ocaml setup.ml -build

configure:
	ocaml setup.ml -configure

install:
	ocaml setup.ml -install

clean:
	ocaml setup.ml -clean

doc:
	ocaml setup.ml -doc

=== debian/changelog ===
ocaml-uint (1.1.1-0digirati1) precise; urgency=low

  * Version 1.1.1

 -- Andre Nathan <andre@digirati.com.br>  Tue, 19 Feb 2014 09:42:17 -0300

ocaml-uint (1.1.0-0digirati1) precise; urgency=low

  * Version 1.1.0

 -- Andre Nathan <andre@digirati.com.br>  Wed, 09 Jan 2013 14:47:23 -0200

ocaml-uint (1.0.3-0digirati1) precise; urgency=low

  * Rebuild for 1.0.3

 -- Andre Nathan <andre@digirati.com.br>  Wed, 27 Aug 2012 11:25:53 -0300

ocaml-uint (1.0.2-0digirati1) precise; urgency=low

  * First build

 -- Andre Nathan <andre@digirati.com.br>  Wed, 21 Mar 2012 16:59:59 -0300

=== debian/control ===
Source: ocaml-uint
Priority: optional
Maintainer: Andre Nathan <andre@digirati.com.br>
Build-Depends:
 debhelper (>= 7),
 dh-ocaml (>= 0.9),
 ocaml-findlib,
 libfindlib-ocaml-dev,
 ocaml-nox (>= 3.11)
Standards-Version: 3.9.2
Section: ocaml
Homepage: https://forge.ocamlcore.org/projects/ocaml-uint
Vcs-Git: git://github.com/andrenth/ocaml-uint.git

Package: libuint-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends:
 ocaml-findlib
Description: unsigned integers for OCaml
 OCaml-Uint is an extension library for the OCaml language, providing
 unsigned integers of various sizes.

Package: libuint-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: unsigned integers for OCaml
 OCaml-Uint is an extension library for the OCaml language, providing
 unsigned integers of various sizes.
 .
 This package contains runtime libraries for programs using ocaml-uint.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_LDCONF=ignore

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir /usr/share/doc/libuint-ocaml-dev

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

#.PHONY: override_dh_auto_test
#override_dh_auto_test:
#	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

=== debian/watch ===
version=3
https://forge.ocamlcore.org/frs/download.php/828/ocaml-uint-(.*)\.tar\.gz
